Description: Rename nose-specific test setup function
Author: Nick Morrott <nickm@debian.org>
Forwarded: https://github.com/project-generator/project_generator/pull/512
Last-Update: 2024-02-10
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/tests/test_projecttemplate.py
+++ b/tests/test_projecttemplate.py
@@ -17,14 +17,17 @@
 from project_generator.project import Project, ProjectTemplate
 from project_generator.settings import ProjectSettings
 
-class TestProjectTemplate:
+class TestProjectTemplate(TestCase):
 
-    def setup(self):
+    def setUp(self):
         # set common and tool specific options
         self.project_dic = {}
         self.project_dic['common'] = ProjectTemplate().get_project_template()
         self.project_dic['tool_specific'] = ProjectTemplate().get_project_template()
 
+    def tearDown(self):
+        self.project_dic.clear()
+
     def testDefaultCtor(self):
         assert self.project_dic['common']['name'] == 'Default'
         assert self.project_dic['common']['output_type'] == 'exe'
